%define name fte
%define version 0.49.13
%define release 2mdk

Name:		%{name}
Summary:	FTE Text Editor (programmer oriented)
Version:	%{version}
Release:	%{release}
Copyright:	GPL/Artistic
Group:		Editors
URL:		http://fte.sourceforge.net/
Source:		%{name}-%{version}.src.tar.bz2
Patch:		%{name}-%{version}.patch.bz2
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/usr
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
FTE is a Text Mode text editor for xterm sessions.  Color syntax highlighting
for C/C++, REXX, HTML, IPF, PERL, Ada, Pascal, TEX.  Multiple file/window
editing, Column blocks, configurable menus and keyboard bindings, mouse
support, undo/redo, regular expression search and replace, folding, 
background compiler execution.


%prep
%setup -q
%patch -p1


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
export RPM_OPT_FLAGS
make PREFIX=%{prefix}


%install
make PREFIX=$RPM_BUILD_ROOT%{prefix} install
mkdir -p $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}
cp -f README COPYING Artistic CHANGES HISTORY TODO BUGS file_id.diz $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files 
%defattr(-,root,root,0755)
%dir /usr/lib/fte
%dir /usr/lib/fte/config
%dir /usr/lib/fte/config/kbd
%dir /usr/lib/fte/config/menu
%dir /usr/lib/fte/config/slang
%dir /usr/doc/%{name}-%{version}
/usr/lib/fte/config/*.fte
/usr/lib/fte/config/kbd/*
/usr/lib/fte/config/menu/*
/usr/lib/fte/config/slang/*
/usr/doc/%{name}-%{version}/*
/usr/lib/fte/system.fterc
/usr/bin/*

%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.49.13-2mdk
- fix group
- bzip2 patch

* Tue Feb 29 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- patchfile for RPM optimization and proper location of binaries
